org.apache.sling.hc.samples.impl

## Class OsgiScriptBindingsProvider.OsgiBinding

- java.lang.Object
- - org.apache.sling.hc.samples.impl.OsgiScriptBindingsProvider.OsgiBinding

Enclosing class:
  OsgiScriptBindingsProvider

    public static class OsgiScriptBindingsProvider.OsgiBinding
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`OsgiScriptBindingsProvider.OsgiBinding(org.osgi.framework.BundleContext bc, org.apache.sling.hc.util.FormattingResultLog r)`

### Method Summary

Methods
`int` `inactiveBundlesCount()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OsgiScriptBindingsProvider.OsgiBinding

    public OsgiScriptBindingsProvider.OsgiBinding(org.osgi.framework.BundleContext bc,
                                          org.apache.sling.hc.util.FormattingResultLog r)

### Method Detail

#### inactiveBundlesCount

    public int inactiveBundlesCount()